﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_SNBILLCFGOPEENTRY') 
 CREATE TABLE T_SBS_SNBILLCFGOPEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOPERATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSNSERVICES NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_SNBILLCFGSMFENTRY') 
 CREATE TABLE T_SBS_SNBILLCFGSMFENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSNMAINFCOLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSNMAINFCOL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSNMAINFSRCBILLCOLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSNMAINFSRCBILLCOL NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_SNBILLCFGTRKENTRY') 
 CREATE TABLE T_SBS_SNBILLCFGTRKENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSNTRACKCOLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSNTRACKCOL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSNTRACKSRCBILLCOLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSNTRACKSRCBILLCOL NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_SNBILLCFGTRKVENTRY') 
 CREATE TABLE T_SBS_SNBILLCFGTRKVENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSNTRKVALCOLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSNTRKVALCOL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSNTRKVALSRCBILLCOLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSNTRKVALSRCBILLCOL NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_SNBILLCONFIG_L') 
 CREATE TABLE T_SBS_SNBILLCONFIG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SBS_BILLSQNRELATION_E' AND KSQL_COL_NAME ='FINVORG') 
 ALTER TABLE T_SBS_BILLSQNRELATION_E ADD (FINVORG BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SBS_BILLSQNRELATION' AND KSQL_COL_NAME ='FSRCBILLTYPE') 
 ALTER TABLE T_SBS_BILLSQNRELATION ADD (FSRCBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SBS_BILLSQNRELATION' AND KSQL_COL_NAME ='FSRCBILLID') 
 ALTER TABLE T_SBS_BILLSQNRELATION ADD (FSRCBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SBS_BILLSQNRELATION' AND KSQL_COL_NAME ='FSRCENTRYKEY') 
 ALTER TABLE T_SBS_BILLSQNRELATION ADD (FSRCENTRYKEY VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SBS_BILLSQNRELATION' AND KSQL_COL_NAME ='FSRCENTRYID') 
 ALTER TABLE T_SBS_BILLSQNRELATION ADD (FSRCENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SBS_BILLSQNRELATION' AND KSQL_COL_NAME ='FSRCISREQ') 
 ALTER TABLE T_SBS_BILLSQNRELATION ADD (FSRCISREQ CHAR(1) DEFAULT '0' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_SNBILLCONFIG') 
 CREATE TABLE T_SBS_SNBILLCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLOBJ NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLENTRY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FINVFLU NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISTRAN CHAR(1) DEFAULT '0' NOT NULL,
FSNREQBILL CHAR(1) DEFAULT '0' NOT NULL,
FMATERIALCOL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSNBASEQTYCOL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLFILTER NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FBALANCETYPE NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSNSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FGENSN CHAR(1) DEFAULT '1' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SBS_table.sql **/
