-- 平衡利库方案添加空值模糊匹配分录
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_BALANCEMATCHENTRY') 
 CREATE TABLE T_SBS_BALANCEMATCHENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDEMANDFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEMANDFIELDKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUPPLYFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUPPLYFIELDKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMPARISON CHAR(1) DEFAULT ' ' NOT NULL
);


EXEC P_ALTERPK 'PK_T_SBS_BALANCEMATCHENTRY', 'T_SBS_BALANCEMATCHENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_SBS_BALANCEMATCHENTRY' AND KSQL_INDNAME = 'IDX_BALANCE_MATCHENTRY_FID') CREATE INDEX IDX_BALANCE_MATCHENTRY_FID ON T_SBS_BALANCEMATCHENTRY ( FID );

