
-- 系统间联用参数预制数据
DELETE FROM t_sbs_systemcallconf WHERE fid = 1160082224071306240;
INSERT INTO t_sbs_systemcallconf(fid,fdescription,fstatus,fcallsettings,fname,fnumber,fcreatetime,fmodifierid,fenable,fispreset,fmodifytime,fcommen,fcreatorid) VALUES (1160082224071306240,'启用时表示库存管理与存货核算启用系统联用，满足存货同步配置方案条件的库存单据会同步到存货核算；禁用则不联用。','C','A','库存与存货核算联用','KC0001',{ts'2021-05-20  00:00:00'},1155589857720938496,'1','1',{ts'2021-05-20  00:00:00'},' ',1155589857720938496); 
DELETE FROM t_sbs_systemcallconf WHERE fid = 1160082422067621888;
INSERT INTO t_sbs_systemcallconf(fid,fdescription,fstatus,fcallsettings,fname,fnumber,fcreatetime,fmodifierid,fenable,fispreset,fmodifytime,fcommen,fcreatorid) VALUES (1160082422067621888,'启用时，库存管理与渠道云单据之间相互联用；禁用时，不联用。','C','A','库存与渠道云联用','KC0002',{ts'2021-05-20  00:00:00'},1155589857720938496,'1','1',{ts'2021-05-20  00:00:00'},' ',1155589857720938496); 

-- 系统间联用参数预制数据多语言
DELETE FROM t_sbs_systemcallconf_l WHERE fpkid = '1MGUCA4W7JX6';
INSERT INTO t_sbs_systemcallconf_l(fid,fpkid,flocaleid,fdescription,fname) VALUES (1160082224071306240,'1MGUCA4W7JX6','zh_CN','启用时表示库存管理与存货核算启用系统联用，满足存货同步配置方案条件的库存单据会同步到存货核算；禁用则不联用。','库存与存货核算联用'); 
DELETE FROM t_sbs_systemcallconf_l WHERE fpkid = '1MGUCA4W7JX7';
INSERT INTO t_sbs_systemcallconf_l(fid,fpkid,flocaleid,fdescription,fname) VALUES (1160082224071306240,'1MGUCA4W7JX7','zh_TW','啟用時表示庫存管理與存貨核算啟用係統聯用，滿足存貨同步配置方案條件的庫存單據會同步到存貨核算；禁用則不聯用。','庫存與存貨核算聯用');  
DELETE FROM t_sbs_systemcallconf_l WHERE fpkid = '1MGUDRE65KN/';
INSERT INTO t_sbs_systemcallconf_l(fid,fpkid,flocaleid,fdescription,fname) VALUES (1160082422067621888,'1MGUDRE65KN/','zh_CN','启用时，库存管理与渠道云单据之间相互联用；禁用时，不联用。','库存与渠道云联用'); 
DELETE FROM t_sbs_systemcallconf_l WHERE fpkid = '1MGUDRE65KN0';
INSERT INTO t_sbs_systemcallconf_l(fid,fpkid,flocaleid,fdescription,fname) VALUES (1160082422067621888,'1MGUDRE65KN0','zh_TW','啟用時，庫存管理與渠道雲單據之間相互聯用；禁用時，不聯用。','庫存與渠道雲聯用'); 


-- 供应链应用级参数预制数据
DELETE FROM t_sbs_scmcapplevelparam WHERE fid = 1160111022732996608;
INSERT INTO t_sbs_scmcapplevelparam(fid,fcreatetime,fmodifierid,fenable,fispreset,fmodifytime,fdescription,fstatus,fcreatorid,fname,fnumber) VALUES (1160111022732996608,{ts'2021-05-20  00:00:00'},1155589857720938496,'0','1',{ts'2021-05-20  00:00:00'},'用于控制采购入库单非赠品单价要大于0。禁用时，采购入库单审核时不控制；启用时，采购入库单审核时校验当非赠品行单价必须大于0，小于等于0时不允许提交。','C',1155589857720938496,'采购入库（非赠品）单价必须大于0','INV0002'); 

-- 供应链应用级参数预制数据多语言
DELETE FROM t_sbs_scmcapplevelparam_l WHERE fpkid = '1MGZR5HOT4SL';
INSERT INTO t_sbs_scmcapplevelparam_l(fid,fpkid,flocaleid,fdescription,fname) VALUES (1160111022732996608,'1MGZR5HOT4SL','zh_CN','用于控制采购入库单非赠品单价要大于0。禁用时，采购入库单审核时不控制；启用时，采购入库单审核时校验当非赠品行单价必须大于0，小于等于0时不允许提交。','采购入库（非赠品）单价必须大于0'); 
DELETE FROM t_sbs_scmcapplevelparam_l WHERE fpkid = '1MGZR5HOT4SM';
INSERT INTO t_sbs_scmcapplevelparam_l(fid,fpkid,flocaleid,fdescription,fname) VALUES (1160111022732996608,'1MGZR5HOT4SM','zh_TW','用於控製采購入庫單非贈品單價要大於0。禁用時，采購入庫單審核時不控製；啟用時，采購入庫單審核時校驗當非贈品行單價必須大於0，小於等於0時不允許提交。','采購入庫（非贈品）單價必須大於0'); 

