﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_SUPPLYPOLICY')
 CREATE TABLE T_SBS_SUPPLYPOLICY (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDEMANDORGUNITID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FWAREHOUSESETUP varchar(50) NOT NULL DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_SUPPLYPOLICY_L')
 CREATE TABLE T_SBS_SUPPLYPOLICY_L (
FPKID varchar(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID varchar(10) DEFAULT ' ' NOT NULL,
FNAME varchar(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_ORGENTRY')
 CREATE TABLE T_SBS_ORGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT  NOT NULL DEFAULT 0,
FINVORGID BIGINT DEFAULT 0 NOT NULL,
FPRIORITY INT DEFAULT 0 NOT NULL,
FINVSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_INYTYPEENTRY')
 CREATE TABLE T_SBS_INYTYPEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT NOT NULL DEFAULT 0,
finvtypeid BIGINT DEFAULT 0 NOT NULL,
fisinvtypecal CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_INVSTATENTRY')
 CREATE TABLE T_SBS_INVSTATENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
finvstatusid BIGINT DEFAULT 0 NOT NULL,
fisstatuscal CHAR(1) DEFAULT '0' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_WAREHOUSESETUP')
 CREATE TABLE T_SBS_WAREHOUSESETUP (
FID BIGINT DEFAULT 0 NOT NULL,
FEntryId BIGINT DEFAULT 0 NOT NULL,
FSeq INT DEFAULT 0 NOT NULL,
fwarehouseinvorgid BIGINT DEFAULT 0 NOT NULL,
fwarehouseid BIGINT DEFAULT 0 NOT NULL,
flocationid BIGINT DEFAULT 0 NOT NULL,
fsupplypriority INT DEFAULT 0 NOT NULL,
fwarehouseaddr varchar(255) default ' ' NOT NULL
);