--平衡利库方案表创建
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_AUTOPUTPARAMENTRY')
 CREATE TABLE T_SBS_AUTOPUTPARAMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFILTERCONDITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAUTOAUDITTARGET CHAR(1) DEFAULT '0' NOT NULL,
FAUTOPUT CHAR(1) DEFAULT '0' NOT NULL,
FAUTOPUTBOTPID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGETPUTBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_BALANCEINVSCHEME')
 CREATE TABLE T_SBS_BALANCEINVSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBALANCEINVORGID BIGINT DEFAULT 0 NOT NULL,
FINVLEVELID BIGINT DEFAULT 0 NOT NULL,
FSUPPLYMODELID BIGINT DEFAULT 0 NOT NULL,
FMAPPINGDIMENID BIGINT DEFAULT 0 NOT NULL,
FDEMOUTPUTTYPEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEMANDMODELID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_BALANCEINVSCHEME_L')
 CREATE TABLE T_SBS_BALANCEINVSCHEME_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_DEMPRIORITYENTRY')
 CREATE TABLE T_SBS_DEMPRIORITYENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDEMANDLOGO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDEMANDNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDEMANDENTITYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSORTTYPE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_ORGPARAMENTRY')
 CREATE TABLE T_SBS_ORGPARAMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FINVSTRATEGYID BIGINT DEFAULT 0 NOT NULL,
FSUPPLYRELATIONID BIGINT DEFAULT 0 NOT NULL,
FDEMANDORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_DEMANDSRCENTRY')
 CREATE TABLE T_SBS_DEMANDSRCENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDEMOUTPUTBOTPID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEMANDSRCID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEMINBALANCEINV CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_SUPPLYSRCENTRY')
 CREATE TABLE T_SBS_SUPPLYSRCENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUPPLYINBALANCEINV CHAR(1) DEFAULT '1' NOT NULL,
FSUPPLYSRCID NVARCHAR(50) DEFAULT ' ' NOT NULL
);
