﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SBS_constraint.sql **/
 EXEC P_ALTERPK 'PK_SBS_MATCHRULE', 'T_SBS_MATCHRULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SBS_MATCHRULE_NUMBER') CREATE INDEX IDX_SBS_MATCHRULE_NUMBER ON T_SBS_MATCHRULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_SBS_MATCHRULE_L', 'T_SBS_MATCHRULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SBS_MATCHRULE_ID') CREATE INDEX IDX_SBS_MATCHRULE_ID ON T_SBS_MATCHRULE_L ( FID );


 EXEC P_ALTERPK 'PK_SBS_MATCHRULEENTRY', 'T_SBS_MATCHRULEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SBS_MATCHRULEENTRY') CREATE INDEX IDX_SBS_MATCHRULEENTRY ON T_SBS_MATCHRULEENTRY ( FID );


 EXEC P_ALTERPK 'PK_SBS_WRITEOFFSOL', 'T_SBS_WRITEOFFSOL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SBS_WRITEOFFSOL') CREATE INDEX IDX_SBS_WRITEOFFSOL ON T_SBS_WRITEOFFSOL ( FNUMBER );


 EXEC P_ALTERPK 'PK_SBS_WRITEOFFSOL_L', 'T_SBS_WRITEOFFSOL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SBS_WRITEOFFSOL_L') CREATE INDEX IDX_SBS_WRITEOFFSOL_L ON T_SBS_WRITEOFFSOL_L ( FID );


 EXEC P_ALTERPK 'PK_SBS_WRITEOFFSOLENTRY', 'T_SBS_WRITEOFFSOLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SBS_WRITEOFFSOLENTRY') CREATE INDEX IDX_SBS_WRITEOFFSOLENTRY ON T_SBS_WRITEOFFSOLENTRY ( FID );


 EXEC P_ALTERPK 'PK_SBS_WRITEOFFTYPE', 'T_SBS_WRITEOFFTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SBS_WRITEOFFTYPE_FNO') CREATE INDEX IDX_SBS_WRITEOFFTYPE_FNO ON T_SBS_WRITEOFFTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_SBS_WRITEOFFTYPE_L', 'T_SBS_WRITEOFFTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SBS_WRITEOFFTYPE_L') CREATE INDEX IDX_SBS_WRITEOFFTYPE_L ON T_SBS_WRITEOFFTYPE_L ( FID );


 EXEC P_ALTERPK 'PK_SBS_RESERVE_ST', 'T_SBS_RESERVE_ST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SBS_R_ST_FNO') CREATE INDEX IDX_SBS_R_ST_FNO ON T_SBS_RESERVE_ST ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SBS_R_ST_FOID') CREATE INDEX IDX_SBS_R_ST_FOID ON T_SBS_RESERVE_ST ( FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SBS_R_ST_FRB') CREATE INDEX IDX_SBS_R_ST_FRB ON T_SBS_RESERVE_ST ( FREQUIREBILL ,FISAUTORESERVE );


 EXEC P_ALTERPK 'PK_SBS_RESERVE_ST_L', 'T_SBS_RESERVE_ST_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SBS_R_ST_FLID') CREATE INDEX IDX_SBS_R_ST_FLID ON T_SBS_RESERVE_ST_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SBS_R_ST_FNAME') CREATE INDEX IDX_SBS_R_ST_FNAME ON T_SBS_RESERVE_ST_L ( FNAME );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SBS_constraint.sql **/
