﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SBS_RESERVE_ST' AND KSQL_COL_NAME IN ('FREQUIREBILL')) 
 ALTER TABLE T_SBS_RESERVE_ST ADD (FREQUIREBILL NVARCHAR(50) DEFAULT ' ' NOT NULL );
 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_SBS_RESERVE_ST', 'FREQUIREBILLID', 'NULL', 'NULL', '1001', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_RESERVE_COLMAP') 
 CREATE TABLE T_SBS_RESERVE_COLMAP (
FID BIGINT DEFAULT 0 NOT NULL,
FRESERVEBILL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREQUIREBILL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOLMAP NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_RESERVATION') 
 CREATE TABLE T_SBS_RESERVATION (
FID BIGINT DEFAULT 0 NOT NULL,
FDEMANDFORMID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDEMANDNUMBER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDEMANDID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDEMANDSEQ INT DEFAULT 0 NOT NULL,
FDEMANDENTRYID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDEMANDDATE DATETIME,
FDEMANDORGID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FDEMANDUNITID BIGINT DEFAULT 0 NOT NULL,
FDEMANDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEMANBASEDUNIT BIGINT DEFAULT 0 NOT NULL,
FDEMANDBASEUNITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESERVETYPE CHAR(1) DEFAULT '0' NOT NULL,
FREVEREDEPTID BIGINT DEFAULT 0 NOT NULL,
FRESERVECUSTID BIGINT DEFAULT 0 NOT NULL,
FRESERVEOPERATEID BIGINT DEFAULT 0 NOT NULL,
FRESERVEENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SBS_RESERVATIONENTRY') 
 CREATE TABLE T_SBS_RESERVATIONENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FRESERVEPRCTYPE CHAR(1) DEFAULT '0' NOT NULL,
FSUPPLYFORMID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSUPPLYBILLNUMBER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSUPPLYBILLID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSUPPLYENTRYID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSUPPLYDATE DATETIME,
FSUPPLYORGID BIGINT DEFAULT 0 NOT NULL,
FSUPPLYMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FSUPPLYSTOCKID BIGINT DEFAULT 0 NOT NULL,
FSUPPLYSTOCKLOCID BIGINT DEFAULT 0 NOT NULL,
FSUPPLYLOTID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FRESERVEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SBS_table.sql **/
